C     Copyright (C) 2008-2010 D. V. Wiebe
C
C     CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C     This file is part of the GetData project.
C
C     GetData is free software; you can redistribute it and/or modify it under
C     the terms of the GNU Lesser General Public License as published by the
C     Free Software Foundation; either version 2.1 of the License, or (at your
C     option) any later version.
C    
C     GetData is distributed in the hope that it will be useful, but WITHOUT
C     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
C     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
C     License for more details.
C    
C     You should have received a copy of the GNU Lesser General Public License
C     along with GetData; if not, write to the Free Software Foundation, Inc.,
C     51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
C

C     Fortran 77 parameters for GetData.  This file defines handy
C     constants useful to Fortran programs.

      
C     Error codes
C     Corresponding to GD_E_OK
      INTEGER GD_EOK
      PARAMETER (GD_EOK=0)
C     Corresponding to GD_E_OPEN
      INTEGER GD_EOP
      PARAMETER (GD_EOP=1)
C     Corresponding to GD_E_FORMAT
      INTEGER GD_EFO
      PARAMETER (GD_EFO=2)
C     Corresponding to GD_E_TRUNC
      INTEGER GD_ETR
      PARAMETER (GD_ETR=3)
C     Corresponding to GD_E_CREAT
      INTEGER GD_ECR
      PARAMETER (GD_ECR=4)
C     Corresponding to GD_E_BAD_CODE
      INTEGER GD_EBC
      PARAMETER (GD_EBC=5)
C     Corresponding to GD_E_BAD_TYPE
      INTEGER GD_EBT
      PARAMETER (GD_EBT=6)
C     Corresponding to GD_E_RAW_IO
      INTEGER GD_ERW
      PARAMETER (GD_ERW=7)
C     Corresponding to GD_E_OPEN_FRAGMENT
      INTEGER GD_EOF
      PARAMETER (GD_EOF=8)
C     Corresponding to GD_E_OPEN_INCLUDE
      INTEGER GD_EOI
      PARAMETER (GD_EOI=8)
C     Corresponding to GD_E_INTERNAL_ERROR
      INTEGER GD_EIE
      PARAMETER (GD_EIE=9)
C     Corresponding to GD_E_ALLOC
      INTEGER GD_EAL
      PARAMETER (GD_EAL=10)
C     Corresponding to GD_E_RANGE
      INTEGER GD_ERA
      PARAMETER (GD_ERA=11)
C     Corresponding to GD_E_OPEN_LINFILE
      INTEGER GD_EOL
      PARAMETER (GD_EOL=12)
C     Corresponding to GD_E_RECURSE_LEVEL
      INTEGER GD_ERL
      PARAMETER (GD_ERL=13)
C     Corresponding to GD_E_BAD_DIRFILE
      INTEGER GD_EBD
      PARAMETER (GD_EBD=14)
C     Corresponding to GD_E_BAD_FIELD_TYPE
      INTEGER GD_EBF
      PARAMETER (GD_EBF=15)
C     Corresponding to GD_E_ACCMODE
      INTEGER GD_EAC
      PARAMETER (GD_EAC=16)
C     Corresponding to GD_E_UNSUPPORTED
      INTEGER GD_UNS
      PARAMETER (GD_UNS=17)
C     Corresponding to GD_E_BAD_ENTRY
      INTEGER GD_EBE
      PARAMETER (GD_EBE=19)
C     Corresponding to GD_E_DUPLICATE
      INTEGER GD_EDU
      PARAMETER (GD_EDU=20)
C     Corresponding to GD_E_DIMENSION
      INTEGER GD_EDM
      PARAMETER (GD_EDM=21)
C     Corresponding to GD_E_BAD_INDEX
      INTEGER GD_EBI
      PARAMETER (GD_EBI=22)
C     Corresponding to GD_E_BAD_SCALAR
      INTEGER GD_EBS
      PARAMETER (GD_EBS=23)
C     Corresponding to GD_E_BAD_REFERENCE
      INTEGER GD_EBR
      PARAMETER (GD_EBR=24)
C     Corresponding to GD_E_PROTECTED
      INTEGER GD_EPT
      PARAMETER (GD_EPT=25)
C     Corresponding to GD_E_DELETE
      INTEGER GD_EDL
      PARAMETER (GD_EDL=26)
C     Corresponding to GD_E_BAD_ENDIANNESS
      INTEGER GD_EEN
      PARAMETER (GD_EEN=27)
C     Corresponding to GD_E_CALLBACK
      INTEGER GD_ECB
      PARAMETER (GD_ECB=28)
C     Corresponding to GD_E_BAD_PROTECTION
      INTEGER GD_EBP
      PARAMETER (GD_EBP=29)
C     Corresponding to GD_E_UNCLEAN_DB
      INTEGER GD_UCL
      PARAMETER (GD_UCL=30)
C     Corresponding to GD_E_DOMAIN
      INTEGER GD_EDO
      PARAMETER (GD_EDO=31)
C     Corresponding to GD_E_BAD_REPR
      INTEGER GD_ERP
      PARAMETER (GD_ERP=32)
C     Corresponding to GD_E_BAD_VERSION
      INTEGER GD_EVR
      PARAMETER (GD_EVR=33)
C     Corresponding to GD_E_FLUSH
      INTEGER GD_EFL
      PARAMETER (GD_EFL=34)
C     Corresponding to GD_E_BOUNDS
      INTEGER GD_EBO
      PARAMETER (GD_EBO=35)
C     Corresponding to GD_E_LINE_TOO_LONG
      INTEGER GD_ETL
      PARAMETER (GD_ETL=36)

C Open flags
C     Corresponding to GD_RDONLY
      INTEGER GD_RO
      PARAMETER (GD_RO=0)
C     Corresponding to GD_RDWR
      INTEGER GD_RW
      PARAMETER (GD_RW=1)
C     Corresponding to GD_FORCE_ENDIAN
      INTEGER GD_FE
      PARAMETER (GD_FE=2)
C     Corresponding to GD_BIG_ENDIAN
      INTEGER GD_BE
      PARAMETER (GD_BE=4)
C     Corresponding to GD_LITTLE_ENDIAN
      INTEGER GD_LE
      PARAMETER (GD_LE=8)
C     Corresponding to GD_CREAT
      INTEGER GD_CR
      PARAMETER (GD_CR=16)
C     Corresponding to GD_EXCL
      INTEGER GD_EX
      PARAMETER (GD_EX=32)
C     Corresponding to GD_TRUNC
      INTEGER GD_TR
      PARAMETER (GD_TR=64)
C     Corresponding to GD_PEDANTIC
      INTEGER GD_PE
      PARAMETER (GD_PE=128)
C     Corresponding to GD_FORCE_ENCODING
      INTEGER GD_FC
      PARAMETER (GD_FC=256)
C     Corresponding to GD_VERBOSE
      INTEGER GD_VB
      PARAMETER (GD_VB=512)
C     Corresponding to GD_IGNORE_DUPS
      INTEGER GD_ID
      PARAMETER (GD_ID=1024)
C     Corresponding to GD_IGNORE_REFS
      INTEGER GD_IR
      PARAMETER (GD_IR=2048)
C     Corresponding to GD_PRETTY_PRINT
      INTEGER GD_PP
      PARAMETER (GD_PP=4096)
C     Corresponding to GD_ARM_ENDIAN
      INTEGER GD_AE
      PARAMETER (GD_AE=8192)
C     Corresponding to GD_NOT_ARM_ENDIAN
      INTEGER GD_NA
      PARAMETER (GD_NA=0)
C     Corresponding to GD_PERMISSIVE
      INTEGER GD_PM
      PARAMETER (GD_PM=16384)
C     Corresponding to GD_AUTO_ENCODED
      INTEGER GD_EA
      PARAMETER (GD_EA=0)
C     Corresponding to GD_UNENCODED
      INTEGER GD_EN
      PARAMETER (GD_EN=16777216)
C     Corresponding to GD_TEXT_ENCODED
      INTEGER GD_ET
      PARAMETER (GD_ET=33554432)
C     Corresponding to GD_SLIM_ENCODED
      INTEGER GD_ES
      PARAMETER (GD_ES=50331648)
C     Corresponding to GD_GZIP_ENCODED
      INTEGER GD_EG
      PARAMETER (GD_EG=67108864)
C     Corresponding to GD_BZIP2_ENCODED
      INTEGER GD_EB
      PARAMETER (GD_EB=83886080)
C     Corresponding to GD_LZMA_ENCODED
      INTEGER GD_EL
      PARAMETER (GD_EL=100663296)

C Field types
C     Corresponding to GD_NO_ENTRY
      INTEGER GD_NOE
      PARAMETER (GD_NOE=0)
C     Corresponding to GD_RAW_ENTRY
      INTEGER GD_RWE
      PARAMETER (GD_RWE=1)
C     Corresponding to GD_LINCOM_ENTRY
      INTEGER GD_LCE
      PARAMETER (GD_LCE=2)
C     Corresponding to GD_LINTERP_ENTRY
      INTEGER GD_LTE
      PARAMETER (GD_LTE=3)
C     Corresponding to GD_BIT_ENTRY
      INTEGER GD_BTE
      PARAMETER (GD_BTE=4)
C     Corresponding to GD_MULTIPLY_ENTRY
      INTEGER GD_MTE
      PARAMETER (GD_MTE=5)
C     Corresponding to GD_PHASE_ENTRY
      INTEGER GD_PHE
      PARAMETER (GD_PHE=6)
C     Corresponding to GD_INDEX_ENTRY
      INTEGER GD_IXE
      PARAMETER (GD_IXE=7)
C     Corresponding to GD_POLYNOM_ENTRY
      INTEGER GD_PNE
      PARAMETER (GD_PNE=8)
C     Corresponding to GD_SBIT_ENTRY
      INTEGER GD_SBE
      PARAMETER (GD_SBE=9)
C     Corresponding to GD_DIVIDE_ENTRY
      INTEGER GD_DVE
      PARAMETER (GD_DVE=10)
C     Corresponding to GD_RECIP_ENTRY
      INTEGER GD_RCE
      PARAMETER (GD_RCE=11)
C     Corresponding to GD_CONST_ENTRY
      INTEGER GD_COE
      PARAMETER (GD_COE=16)
C     Corresponding to GD_CARRAY_ENTRY
      INTEGER GD_CAE
      PARAMETER (GD_CAE=18)
C     Corresponding to GD_STRING_ENTRY
      INTEGER GD_STE
      PARAMETER (GD_STE=17)

C Data types -- the unsigned types won't work when passed as
C               a return type, but we keep them anyways, since
C               they might appear as a result of calling GDGERW
C     Corresponding to GD_NULL
      INTEGER GD_NUL
      PARAMETER (GD_NUL=0)
C     Corresponding to GD_UINT8
      INTEGER GD_U8
      PARAMETER (GD_U8=1)
C     Corresponding to GD_INT8
      INTEGER GD_I8
      PARAMETER (GD_I8=33)
C     Corresponding to GD_UINT16
      INTEGER GD_U16
      PARAMETER (GD_U16=2)
C     Corresponding to GD_INT16
      INTEGER GD_I16
      PARAMETER (GD_I16=34)
C     Corresponding to GD_UINT32
      INTEGER GD_U32
      PARAMETER (GD_U32=4)
C     Corresponding to GD_INT32
      INTEGER GD_I32
      PARAMETER (GD_I32=36)
C     Corresponding to GD_UINT64
      INTEGER GD_U64
      PARAMETER (GD_U64=8)
C     Corresponding to GD_INT64
      INTEGER GD_I64
      PARAMETER (GD_I64=40)
C     Corresponding to GD_FLOAT32
      INTEGER GD_F32
      PARAMETER (GD_F32=132)
C     Corresponding to GD_FLOAT64
      INTEGER GD_F64
      PARAMETER (GD_F64=136)
C     Corresponding to GD_COMPLEX64
      INTEGER GD_C64
      PARAMETER (GD_C64=264)
C     Corresponding to GD_COMPLEX128
      INTEGER GDC128
      PARAMETER (GDC128=272)

C Delete flags
C     Corresponding to GD_DEL_META
      INTEGER GDD_MT
      PARAMETER (GDD_MT=1)
C     Corresponding to GD_DEL_DATA
      INTEGER GDD_DT
      PARAMETER (GDD_DT=2)
C     Corresponding to GD_DEL_DEREF
      INTEGER GDD_DR
      PARAMETER (GDD_DR=4)
C     Corresponding to GD_DEL_FORCE
      INTEGER GDD_FO
      PARAMETER (GDD_FO=8)

C Protection levels
C     Corresponding to GD_PROTECT_NONE
      INTEGER GDPR_N
      PARAMETER (GDPR_N=0)
C     Corresponding to GD_PROTECT_FORMAT
      INTEGER GDPR_F
      PARAMETER (GDPR_F=1)
C     Corresponding to GD_PROTECT_DATA
      INTEGER GDPR_D
      PARAMETER (GDPR_D=2)
C     Corresponding to GD_PROTECT_ALL
      INTEGER GDPR_A
      PARAMETER (GDPR_A=3)

C Callback actions
C     Corresponding to GD_SYNTAX_ABORT
      INTEGER GDSX_A
      PARAMETER (GDSX_A=0)
C     Corresponding to GD_SYNTAX_RESCAN
      INTEGER GDSX_S
      PARAMETER (GDSX_S=1)
C     Corresponding to GD_SYNTAX_IGNORE
      INTEGER GDSX_I
      PARAMETER (GDSX_I=2)
C     Corresponding to GD_SYNTAX_CONTINUE
      INTEGER GDSX_C
      PARAMETER (GDSX_C=3)

C Syntax suberrors
C     Corresponding to GD_E_FORMAT_BAD_SPF
      INTEGER GDF_SF
      PARAMETER (GDF_SF=1)
C     Corresponding to GD_E_FORMAT_N_FIELDS
      INTEGER GDF_NF
      PARAMETER (GDF_NF=2)
C     Corresponding to GD_E_FORMAT_N_TOK
      INTEGER GDF_NT
      PARAMETER (GDF_NT=3)
C     Corresponding to GD_E_FORMAT_NUMBITS
      INTEGER GDF_NB
      PARAMETER (GDF_NB=4)
C     Corresponding to GD_E_FORMAT_BITNUM
      INTEGER GDF_BN
      PARAMETER (GDF_BN=5)
C     Corresponding to GD_E_FORMAT_BITSIZE
      INTEGER GDF_SZ
      PARAMETER (GDF_SZ=6)
C     Corresponding to GD_E_FORMAT_CHARACTER
      INTEGER GDF_CH
      PARAMETER (GDF_CH=7)
C     Corresponding to GD_E_FORMAT_BAD_LINE
      INTEGER GDF_LI
      PARAMETER (GDF_LI=8)
C     Corresponding to GD_E_FORMAT_RES_NAME
      INTEGER GDF_RN
      PARAMETER (GDF_RN=9)
C     Corresponding to GD_E_FORMAT_ENDIAN
      INTEGER GDF_EN
      PARAMETER (GDF_EN=10)
C     Corresponding to GD_E_FORMAT_BAD_TYPE
      INTEGER GDF_TY
      PARAMETER (GDF_TY=11)
C     Corresponding to GD_E_FORMAT_BAD_NAME
      INTEGER GDF_NA
      PARAMETER (GDF_NA=12)
C     Corresponding to GD_E_FORMAT_UNTERM
      INTEGER GDF_UM
      PARAMETER (GDF_UM=13)
C     Corresponding to GD_E_FORMAT_METARAW
      INTEGER GDF_MR
      PARAMETER (GDF_MR=14)
C     Corresponding to GD_E_FORMAT_NO_PARENT
      INTEGER GDF_PA
      PARAMETER (GDF_PA=15)
C     Corresponding to GD_E_FORMAT_DUPLICATE
      INTEGER GDF_DU
      PARAMETER (GDF_DU=16)
C     Corresponding to GD_E_FORMAT_LOCATION
      INTEGER GDF_LO
      PARAMETER (GDF_LO=17)
C     Corresponding to GD_E_FORMAT_PROTECT
      INTEGER GDF_PR
      PARAMETER (GDF_PR=18)
C     Corresponding to GD_E_FORMAT_LITERAL
      INTEGER GDF_LT
      PARAMETER (GDF_LT=19)

C Special version codes
C     Corresponding to GD_VERSION_CURRENT
      INTEGER GDSV_C
      PARAMETER (GDSV_C=-1)
C     Corresponding to GD_VERSION_LATEST
      INTEGER GDSV_L
      PARAMETER (GDSV_L=-2)
C     Corresponding to GD_VERSION_EARLIEST
      INTEGER GDSV_E
      PARAMETER (GDSV_E=-3)

C Miscellaneous parameters
C     Corresponding to GD_MAX_LINE_LENGTH
      INTEGER GD_MLL
      PARAMETER (GD_MLL=4096)
C     Corresponding to GD_ALL_FRAGMENTS
      INTEGER GD_ALL
      PARAMETER (GD_ALL=-1)
C     Corresponding to GD_DIRFILE_STANDARDS_VERSION
      INTEGER GD_DSV
      PARAMETER (GD_DSV=8)


C Externals
C     Corresponding to gd_add_bit(3)
      EXTERNAL GDADBT
C     Corresponding to gd_add_carray(3)
      EXTERNAL GDADCA
C     Corresponding to gd_add_clincom(3)
      EXTERNAL GDADCL
C     Corresponding to gd_add_const(3)
      EXTERNAL GDADCO
C     Corresponding to gd_add_cpolynom(3)
      EXTERNAL GDADCP
C     Corresponding to gd_add_crecip(3)
      EXTERNAL GDADCR
C     Corresponding to gd_add_divide(3)
      EXTERNAL GDADDV
C     Corresponding to gd_add_lincom(3)
      EXTERNAL GDADLC
C     Corresponding to gd_add_linterp(3)
      EXTERNAL GDADLT
C     Corresponding to gd_add_multiply(3)
      EXTERNAL GDADMT
C     Corresponding to gd_add_phase(3)
      EXTERNAL GDADPH
C     Corresponding to gd_add_polynom(3)
      EXTERNAL GDADPN
C     Corresponding to gd_add_recip(3)
      EXTERNAL GDADRC
C     Corresponding to gd_add_raw(3)
      EXTERNAL GDADRW
C     Corresponding to gd_add_sbit(3)
      EXTERNAL GDADSB
C     Corresponding to gd_add_spec(3)
      EXTERNAL GDADSP
C     Corresponding to gd_add_string(3)
      EXTERNAL GDADST
C     Correpsonding to gd_alter_encoding(3)
      EXTERNAL GDAENC
C     Correpsonding to gd_alter_endianness(3)
      EXTERNAL GDAEND
C     Correpsonding to gd_alter_frameoffset(3)
      EXTERNAL GDAFOF
C     Correpsonding to gd_alter_bit(3)
      EXTERNAL GDALBT
C     Correpsonding to gd_alter_carray(3)
      EXTERNAL GDALCA
C     Correpsonding to gd_alter_clincom(3)
      EXTERNAL GDALCL
C     Correpsonding to gd_alter_const(3)
      EXTERNAL GDALCO
C     Correpsonding to gd_alter_cpolynom(3)
      EXTERNAL GDALCP
C     Correpsonding to gd_alter_crecip(3)
      EXTERNAL GDALCR
C     Correpsonding to gd_alter_divide(3)
      EXTERNAL GDALDV
C     Correpsonding to gd_alter_lincom(3)
      EXTERNAL GDALLC
C     Correpsonding to gd_alter_linterp(3)
      EXTERNAL GDALLT
C     Correpsonding to gd_alter_multiply(3)
      EXTERNAL GDALMT
C     Correpsonding to gd_alter_phase(3)
      EXTERNAL GDALPH
C     Correpsonding to gd_alter_polynom(3)
      EXTERNAL GDALPN
C     Correpsonding to gd_alter_recip(3)
      EXTERNAL GDALRC
C     Correpsonding to gd_alter_raw(3)
      EXTERNAL GDALRW
C     Correpsonding to gd_alter_sbit(3)
      EXTERNAL GDALSB
C     Correpsonding to gd_alter_spec(3)
      EXTERNAL GDALSP
C     Corresponding to gd_alter_protection(3)
      EXTERNAL GDAPRT
C     Alter a scalar parameter
      EXTERNAL GDASCA
C     Corresponding to gd_carray_len(3)
      EXTERNAL GDCALN
C     Corresponding to gd_parser_callback(3)
      EXTERNAL GDCLBK
C     Corresponding to gd_close(3)
      EXTERNAL GDCLOS
C     Corresponding to gd_copen(3)
      EXTERNAL GDCOPN
C     Check whether an entry contains complex scalars
      EXTERNAL GDCSCL
C     Correpsonding to gd_delete(3)
      EXTERNAL GDDELE
C     Corresponding to gd_discard(3)
      EXTERNAL GDDSCD
C     Corresponding to gd_entry_type(3)
      EXTERNAL GDENTY
C     Corresponding to gd_error(3)
      EXTERNAL GDEROR
C     Corresponding to gd_error_string(3)
      EXTERNAL GDESTR
C     Corresponding to gd_field_list_by_type(3) (sort of)
      EXTERNAL GDFDNT
C     Returns the maximum field name length
      EXTERNAL GDFDNX
C     Corresponding to gd_field_list(3) (sort of)
      EXTERNAL GDFLDN
C     Corresponding to gd_flush(3)
      EXTERNAL GDFLSH
C     Corresponding to gd_framenum_subset(3)
      EXTERNAL GDFNSS
C     Corresponding to gd_framenum(3)
      EXTERNAL GDFNUM
C     Corresponding to gd_fragment_index(3)
      EXTERNAL GDFRGI
C     Corresponding to gd_fragmentname(3)
      EXTERNAL GDFRGN
C     Corresponding to gd_bof(3)
      EXTERNAL GDGBOF
C     Corresponding to gd_get_carray_slice(3)
      EXTERNAL GDGCAS
C     Corresponding to gd_entry(3) for BIT fields
      EXTERNAL GDGEBT
C     Corresponding to gd_entry(3) for CARRAY fields
      EXTERNAL GDGECA
C     Corresponding to gd_entry(3) for complex valued LINCOM fields
      EXTERNAL GDGECL
C     Corresponding to gd_entry(3) for CONST fields
      EXTERNAL GDGECO
C     Corresponding to gd_entry(3) for complex valued POLYNOM fields
      EXTERNAL GDGECP
C     Corresponding to gd_entry(3) for complex valued RECIP fields
      EXTERNAL GDGECR
C     Corresponding to gd_entry(3) for LINCOM fields
      EXTERNAL GDGELC
C     Corresponding to gd_entry(3) for LINTERP fields
      EXTERNAL GDGELT
C     Corresponding to gd_entry(3) for MULTIPLY fields
      EXTERNAL GDGEMT
C     Corresponding to gd_encoding(3)
      EXTERNAL GDGENC
C     Corresponding to gd_endianness(3)
      EXTERNAL GDGEND
C     Corresponding to gd_eof(3)
      EXTERNAL GDGEOF
C     Corresponding to gd_entry(3) for PHASE fields
      EXTERNAL GDGEPH
C     Corresponding to gd_entry(3) for POLYNOM fields
      EXTERNAL GDGEPN
C     Corresponding to gd_entry(3) for RECIP fields
      EXTERNAL GDGERC
C     Corresponding to gd_entry(3) for RAW fields
      EXTERNAL GDGERW
C     Corresponding to gd_entry(3) for SBIT fields
      EXTERNAL GDGESB
C     Corresponding to gd_getdata(3)
      EXTERNAL GDGETD
C     Correpsonding to gd_frameoffset(3)
      EXTERNAL GDGFOF
C     Corresponding to gd_protection(3)
      EXTERNAL GDGPRT
C     Retrieve a scalar parameter
      EXTERNAL GDGSCA
C     Corresponding to gd_spf(3)
      EXTERNAL GDGSPF
C     Corresponding to gd_get_carray(3)
      EXTERNAL GDGTCA
C     Corresponding to gd_get_constant(3)
      EXTERNAL GDGTCO
C     Corresponding to gd_get_string(3)
      EXTERNAL GDGTST
C     Corresponding to gd_include(3)
      EXTERNAL GDINCL
C     Corresponding to gd_invalid_dirfile(3)
      EXTERNAL GDINVD
C     Corresponding to gd_madd_bit(3)
      EXTERNAL GDMDBT
C     Corresponding to gd_madd_carray(3)
      EXTERNAL GDMDCA
C     Corresponding to complex valued gd_madd_clincom(3)
      EXTERNAL GDMDCL
C     Corresponding to gd_madd_const(3)
      EXTERNAL GDMDCO
C     Corresponding to gd_madd_cpolynom(3)
      EXTERNAL GDMDCP
C     Corresponding to gd_madd_crecip(3)
      EXTERNAL GDMDCR
C     Corresponding to gd_madd_divide(3)
      EXTERNAL GDMDDV
C     Corresponding to gd_madd_lincom(3)
      EXTERNAL GDMDLC
C     Corresponding to gd_madd_linterp(3)
      EXTERNAL GDMDLT
C     Corresponding to gd_madd_multiply(3)
      EXTERNAL GDMDMT
C     Corresponding to gd_madd_phase(3)
      EXTERNAL GDMDPH
C     Corresponding to gd_madd_polynom(3)
      EXTERNAL GDMDPN
C     Corresponding to gd_madd_recip(3)
      EXTERNAL GDMDRC
C     Corresponding to gd_madd_sbit(3)
      EXTERNAL GDMDSB
C     Corresponding to gd_madd_spec(3)
      EXTERNAL GDMDSP
C     Corresponding to gd_madd_string(3)
      EXTERNAL GDMDST
C     Corresponding to gd_mfield_list(3) (sort of)
      EXTERNAL GDMFDN
C     Corresponding to gd_mfield_list_by_type(3) (sort of)
      EXTERNAL GDMFDT
C     Corresponding to gd_metaflush(3)
      EXTERNAL GDMFLS
C     Returns the maximum field name length for a meta field list
      EXTERNAL GDMFNX
C     Correpsonding to gd_malter_spec(3)
      EXTERNAL GDMLSP
C     Correpsonding to gd_move(3)
      EXTERNAL GDMOVE
C     Corresponding to gd_mvector_list(3) (sort of)
      EXTERNAL GDMVEN
C     Corresponding to gd_dirfilename(3)
      EXTERNAL GDNAME
C     Corresponding to gd_nfields_by_type(3)
      EXTERNAL GDNFDT
C     Corresponding to gd_nfields(3)
      EXTERNAL GDNFLD
C     Corresponding to gd_nfragments(3)
      EXTERNAL GDNFRG
C     Corresponding to gd_nframes(3)
      EXTERNAL GDNFRM
C     Corresponding to gd_nmfields(3)
      EXTERNAL GDNMFD
C     Corresponding to gd_nmfields_by_type(3)
      EXTERNAL GDNMFT
C     Corresponding to gd_nmvectors(3)
      EXTERNAL GDNMVE
C     Corresponding to gd_native_type(3)
      EXTERNAL GDNTYP
C     Corresponding to gd_nvectors(3)
      EXTERNAL GDNVEC
C     Corresponding to gd_open(3)
      EXTERNAL GDOPEN
C     Corresponding to gd_put_carray_slice(3)
      EXTERNAL GDPCAS
C     Corresponding to gd_parent_fragment(3)
      EXTERNAL GDPFRG
C     Corresponding to gd_put_carray(3)
      EXTERNAL GDPTCA
C     Corresponding to gd_put_constant(3)
      EXTERNAL GDPTCO
C     Corresponding to gd_put_string(3)
      EXTERNAL GDPTST
C     Corresponding to gd_putdata(3)
      EXTERNAL GDPUTD
C     Corresponding to gd_reference(3)
      EXTERNAL GDREFE
C     Correpsonding to gd_rename(3)
      EXTERNAL GDRENM
C     Corresponding to gd_rewrite_fragment(3)
      EXTERNAL GDRFRG
C     Corresponding to gd_raw_filename(3)
      EXTERNAL GDRWFN
C     Corresponding to gd_dirfile_standards(3)
      EXTERNAL GDSTDV
C     Corresponding to gd_uninclude(3)
      EXTERNAL GDUINC
C     Corresponding to gd_vector_list(3) (sort of)
      EXTERNAL GDVECN
C     Corresponding to gd_validate(3)
      EXTERNAL GDVLDT
